import json
import numpy as np
import os
import glob
import sys
from heapq import nsmallest

fn = sys.argv[1]
path = os.path.basename(fn)

distances = []

for filename in glob.glob(os.path.join(path, '*.txt')):
    with open(os.path.join(os.getcwd(), filename), 'r') as f:
        for line in f:
            value = [float(elt.strip()) for elt in line.split(',')]
            distances.append(value)

print (distances)
a = nsmallest(2, distances)
print(a)

value = 0
for i in range (len(a)):
    value = a[i]
    for y in range(len(distances)):
        if a[i] == distances[y]:
            position = distances.index(distances[y])
            file = position+1
            print (f"The value {a[i]} is generated by the file distance_{0}-{file}")
            with open(f'{path}/values{i}.txt', 'w') as file:
                file.write(str(value))
                file.close